<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Model;

interface ReferralModelInterface
{
    public function getInviter(): InviterModelInterface;

    public function getInvitee(): ?InviteeModelInterface;

    public function setInvitee(InviteeModelInterface $invitee): void;

    public function getInviteeEmail(): string;

    public function getCode(): string;
}
