<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Specification;

use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Model\ReferralModelInterface;

class IsReferralStillAvailableSpecification
{
    public function __invoke(ReferralModelInterface $referral): bool
    {
        return null === $referral->getInvitee();
    }
}
